#### D.8.8.6 unitMatrix

Procedure from library `rootisolation.lib` (see rootisolation_lib).

Usage:
  `unitMatrix(n)`; `n int`

Return:
  `n`x`n` unit interval matrix

Example:

    LIB "rootisolation.lib";
    ring R = 0,(x,y),dp;
    unitMatrix(2);
    ==> [1, 1],[0, 0]
    ==> [0, 0],[1, 1]
    ==>
    unitMatrix(3);
    ==> [1, 1],[0, 0],[0, 0]
    ==> [0, 0],[1, 1],[0, 0]
    ==> [0, 0],[0, 0],[1, 1]
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.